<div class="navigation-bar">
  <menu-button
    class="bookmark-button"
    icon-class="fa-bookmark-o"
    btn-class="btn-nostyle"
    :bookmarks="bookmarks"
    :items="bookmarkItems"></menu-button>
  <div
  <div class="divider"></div>
  <div class="path" @dblclick="pathEdit = !pathEdit">
    <ol class="breadcrumb" v-show="!pathEdit">
      <navbar-segment
        v-for="(i, p) in paths"
        track-by="$index"
        :full-path="p"
        :workspace-id="workspaceId"
        ></navbar-segment>
    </ol>
    <div class="path-edit" v-show="pathEdit" >
      <input
        type="text"
        v-el:path-input
        v-model="pathText"
        @keyup.enter="pathNav"
        @keyup.esc="pathEdit = false"
        @blur="pathEdit = false"
        :list="suggestionsId"
        >
      <button
        class="btn-nostyle"
        @click="pathNav"
        ><i class="fa fa-arrow-right"></i></button>
      <datalist :id="suggestionsId"
        ><option v-for="sugg in suggestions" :value="sugg"
      /></datalist>
    </div>
  </div>
  <div class="navi-button">
    <button
      :class="{
        'btn-nostyle': true,
        'fa': true,
        'fa-refresh': true,
        'fa-spin': loading,
      }"
      @click="refresh"
      ></button>
  </div>
</div>
